Package sop.cli.picocli.commands

# Interface AbstractSopCmd.EnvironmentVariableResolver

Enclosing class:
  `AbstractSopCmd`

public static interface AbstractSopCmd.EnvironmentVariableResolver
Interface to modularize resolving of environment variables.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveEnvironmentVariable(String name)`
Resolve the value of the given environment variable.

## Method Details

### resolveEnvironmentVariable

String resolveEnvironmentVariable(String name)
Resolve the value of the given environment variable. Return null if the variable is not present.

Parameters:
  `name` - name of the variable
Returns:
  variable value or null